import { Buff, Bytes } from '@cmdcode/buff-utils';
import { EscrowRouter } from './routes/index.js';
export * from './schema/index.js';
type Fetcher = (secret: Bytes) => typeof fetch;
interface EscrowConfig {
    host: string;
    fetcher?: Fetcher;
}
export declare class EscrowAPI {
    readonly _secret: Buff;
    readonly options: EscrowConfig;
    readonly fetch: typeof fetch;
    readonly API: EscrowRouter;
    constructor(secret: Bytes, config?: Partial<EscrowConfig>);
    get pubkey(): Buff;
}
//# sourceMappingURL=index.d.ts.map